%global momorel 1
%undefine _smp_mflags

Summary: GNOME Build Framework.
Name: gnome-build
Version: 0.3.0
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Libraries
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.3/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: gnome-build-0.1.3-perlGBFMake.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.gnome.org
BuildRequires: gdl-devel >= 0.7.11
BuildRequires: gnome-vfs2-devel >= 2.22.0
BuildRequires: gnome-desktop-devel >= 2.22.0
BuildRequires: gtk2-devel >= 2.12.8
BuildRequires: libbonoboui-devel >= 2.22.0
BuildRequires: libgnome-devel >= 2.22.0
BuildRequires: libgnomeui-devel >= 2.22.01
BuildRequires: libxml2-devel >= 2.6.31
BuildRequires: libglade2-devel >= 2.6.2
BuildRequires: intltool
BuildRequires: perl-gettext

%description
This is the GNOME Build Framework (GBF).

%package devel
Summary: Libraries and include files for Gnome Build Framework.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel 
Libraries and header files if you want to make use of the GNOME debug framework
in your own programs.

%prep
%setup -q
%patch0 -p1 -b .GBFMake

%build
intltoolize --force --copy
autoreconf -vfi
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
export CXXFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_libdir}/libgbf-1.so.*
%{_libdir}/libgbf-widgets-1.so.*
%dir %{_libdir}/gnome-build-1.0
%dir %{_libdir}/gnome-build-1.0/backends
%{_libdir}/gnome-build-1.0/backends/libgbf-am.so
%{_libdir}/gnome-build-1.0/backends/libgbf-mkfile.so
%{_libdir}/gnome-build-1.0/backends/libgbf-am.la
%{_libdir}/gnome-build-1.0/backends/libgbf-mkfile.la
%{_libdir}/gnome-build-1.0/backends/gbf-am.server
%{_libdir}/gnome-build-1.0/backends/gbf-mkfile.server
%{_datadir}/pixmaps/*.png
%{_datadir}/locale/*/*/*
%{_datadir}/gnome-build/*

%files devel
%defattr (-, root, root)
%dir %{_includedir}/gnome-build-1.0
%{_includedir}/gnome-build-1.0/gbf
%{_libdir}/libgbf-1.so
%{_libdir}/libgbf-widgets-1.so
%{_libdir}/pkgconfig/gnome-build-1.0.pc

%changelog
* Mon Jul  7 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.0-1m)
- update to 0.3.0

* Sun Apr  6 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.2.4-3m)
- add BuildRequires:

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.4-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.4-1m)
- update to 0.2.4

* Mon Mar  3 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.3-1m)
- update 0.2.3

* Sat Feb  2 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.2.1-2m)
- rebuild against perl-5.10.0-1m

* Tue Jan 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.1-1m)
- update to 0.2.1

* Sun Sep  9 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.0-1m)
- update to 0.2.0

* Sat Aug  4 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.7-3m)
- add intltoolize (intltool-0.36.0)

* Thu Jul 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.7-2m)
- add -maxdepth 1 to del .la

* Sat Jun 30 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.1.7-1m)
- update to 0.1.7

* Sat Jun 16 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.1.6-1m)
- update to 0.1.6

* Mon Feb 12 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.1.4-2m)
- add require

* Mon Jan 15 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.4-1m)
- update 0.1.4

* Thu Aug 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.3-3m)
- delete libtool library

* Sat May 27 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.3-2m)
- add libgbf-mkfile.so into gnome-build-devel

* Tue May 16 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.1.3-1m)
- update to 0.1.3

* Thu Apr  6 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.1.2-3m)
- revised packages owner

* Mon Feb 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.2-2m)
- fix conflict directories

* Thu Jun 30 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.1.2-1m)
- version 0.1.2

* Tue May 17 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.1.1-1m)
- initial import to Momonga

* Wed Aug 8 2001 Jens Finke <jens@gnome.org> 
- created spec file
